Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - m -

- EINA_MAGIC : _Eina_File
- magic : _Evas_Engine_Info
- major : _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Edje_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Evas_Version
- map : _Eina_File , _Eina_File_Map , _Eina_Lines_Iterator
- mapped_type : efl::eina::accessor_common_base< T >
- mask_flags : _Old_Edje_Part
- material() : evas::canvas3d::material
- max : _Edje_External_Param_Info , _Eina_Inarray , _Eio_Progress , _Old_Edje_Part_Collection , Efreet_Icon_Theme_Directory
- max_size() : efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- mem_alloc : _Eet_Data_Descriptor_Class
- mem_free : _Eet_Data_Descriptor_Class
- member_add : _Evas_Smart_Class , evas::canvas3d::node , evas::object_smart
- member_count : _Eina_Value_Struct_Desc
- member_del : _Evas_Smart_Class , evas::canvas3d::node , evas::object_smart
- member_size : _Eina_Inarray
- members : _Eina_Inarray , _Eina_Value_Struct_Desc
- memory : _Eina_Value_Struct
- merge : _Edje_Entry_Change_Info
- mesh() : evas::canvas3d::mesh
- mesh_add() : evas::canvas3d::node
- mesh_del() : evas::canvas3d::node
- message() : efl::eina::error_category
- message_send() : edje::object
- metavar : _Ecore_Getopt_Desc
- methods : _Eldbus_Service_Interface_Desc
- methods2 : _Eldbus_Service_Interface_Desc2
- micro : _Ecore_Version , _Ecore_X_Version , _Edje_Version , _Eet_Version , _Eeze_Version , _Efreet_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Embryo_Version , _Emotion_Version , _Ethumb_Version , _Evas_Version
- mime_types : _Efreet_Desktop
- min : _Edje_External_Param_Info , _Old_Edje_Part_Collection , Efreet_Icon_Theme_Directory
- min_time : _Elocation_Requirements
- minor : _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Server_Data , _Ecore_Version , _Ecore_X_Version , _Edje_Version , _Eet_Version , _Eeze_Version , _Efreet_Version , _Eina_Version , _Eio_Version , _Eldbus_Version , _Embryo_Version , _Emotion_Version , _Ethumb_Version , _Evas_Version
- mode : _Eina_Stat
- model() : eio::model
- model_arguments() : eldbus::model_arguments
- model_connection() : eldbus::model_connection
- model_method() : eldbus::model_method
- model_object() : eldbus::model_object
- model_proxy() : eldbus::model_proxy
- model_signal() : eldbus::model_signal
- modifiers : _Ecore_Event_Key , _Ecore_Event_Mouse_Button , _Ecore_Event_Mouse_IO , _Ecore_Event_Mouse_Move , _Ecore_Event_Mouse_Wheel , _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up , _Ecore_IMF_Event_Mouse_Down , _Ecore_IMF_Event_Mouse_In , _Ecore_IMF_Event_Mouse_Move , _Ecore_IMF_Event_Mouse_Out , _Ecore_IMF_Event_Mouse_Up , _Ecore_IMF_Event_Mouse_Wheel , _Ecore_Win32_Event_Mouse_In , _Ecore_Win32_Event_Mouse_Out , _Evas_Event_Key_Down , _Evas_Event_Key_Up , _Evas_Event_Mouse_Down , _Evas_Event_Mouse_In , _Evas_Event_Mouse_Move , _Evas_Event_Mouse_Out , _Evas_Event_Mouse_Up , _Evas_Event_Mouse_Wheel , _Evas_Event_Multi_Down , _Evas_Event_Multi_Move , _Evas_Event_Multi_Up
- module : _Edje_External_Type
- module_name : _Edje_External_Type
- mouse_events : _Old_Edje_Part
- move : _Evas_Smart_Class , _Evas_Video_Surface , evas::object_smart
- mtime : _Eina_File , _Eina_Stat , _Old_Edje_File
- mtimensec : _Eina_Stat
- multiline : _Old_Edje_Part
- multisample_bits : _Evas_GL_Config
- mutex() : efl::eina::mutex